Bug 1733965 - Foreman-maintain upgrade run failed during upgrade because it tried to start local postgresql when remote DB is used
Summary: Foreman-maintain upgrade run failed during upgrade because it tried to start ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Amit Upadhye
QA Contact: Lucie Vrtelova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 10:48 UTC by Lucie Vrtelova
Modified: 2019-10-22 19:51 UTC (History)
11 users (show)

Fixed In Version: foreman-installer-1.22.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
Customers who have an external database may not be able to upgrade using the beta deliveries. If you are planning to upgrade with an external database please contact Red Hat support.
Clone Of:
Environment:
Last Closed: 2019-10-22 19:51:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27540 None None None 2019-08-07 14:17:23 UTC

Description Lucie Vrtelova 2019-07-29 10:48:29 UTC
Description of problem:
Foreman-maintain upgrade run failed during upgrade because it tried to start local postgresql service when remote DB is used.

Version-Release number of selected component (if applicable):
Origin: satellite-6.5.2-1.el7sat.noarch

Upgrade to: Satellite 6.6.0 snap 13

How reproducible:
always

Steps to Reproduce:
1. Have Satellite set up using all external DB with SSL
2. Run foreman-maintain upgrade

Actual results:
Upgrade fails.
.
.
.
foreman-maintain service stop finished successfully!
Upgrade Step: start_postgresql...
Failed to start postgresql.service: Unit not found.
systemctl start postgresql failed! Check the output for error!
Upgrade step start_postgresql failed. Check logs for more information.
                                      [FAIL]
Failed executing LANG=en_US.utf-8 satellite-installer --upgrade, exit status 1
--------------------------------------------------------------------------------
Scenario [Migration scripts to Satellite 6.6] failed.

The following steps ended up in failing state:

  [installer-upgrade]

Resolve the failed steps and rerun
the command. In case the failures are false positives,
use --whitelist="installer-upgrade"


Expected results:
Upgrade finished successfully.

Additional info:
Upgrade finished successfully after whitelisting [installer-upgrade] step.

# foreman-maintain service status
Running Status Services
================================================================================
Get status of applicable services: 
Displaying the following service(s):

rh-mongodb34-mongod, postgresql (foreman), postgresql (candlepin), qdrouterd, qpidd, squid, pulp_celerybeat, pulp_resource_manager, pulp_streamer, pulp_workers, smart_proxy_dynflow_core, tomcat, dynflowd, httpd, puppetserver, foreman-proxy
\ displaying rh-mongodb34-mongod                                                
rh-mongodb34-mongod is remote and is UP.
\ displaying postgresql (foreman)                                               
postgresql (foreman) is remote and is UP.
| displaying postgresql (candlepin)                                             
postgresql (candlepin) is remote and is UP.

Comment 12 Bryan Kearney 2019-08-12 16:00:29 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27540 has been resolved.

Comment 16 Bryan Kearney 2019-10-22 19:51:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.